# Uses of Interface
org.eclipse.ecf.core.sharedobject.ISharedObjectTransactionParticipantsFilter

Packages that use ISharedObjectTransactionParticipantsFilter
Package
Description
org.eclipse.ecf.core.sharedobject

## Uses of ISharedObjectTransactionParticipantsFilter in org.eclipse.ecf.core.sharedobject

Fields in org.eclipse.ecf.core.sharedobject declared as ISharedObjectTransactionParticipantsFilter
Modifier and Type
Field
Description
`protected ISharedObjectTransactionParticipantsFilter`
TransactionSharedObjectConfiguration.`participantsFilter`
Methods in org.eclipse.ecf.core.sharedobject that return ISharedObjectTransactionParticipantsFilter
Modifier and Type
Method
Description
`ISharedObjectTransactionParticipantsFilter`
ISharedObjectTransactionConfig.`getParticipantsFilter()`
Called by transaction implementation to specify filter for determining transaction participants
`ISharedObjectTransactionParticipantsFilter`
TransactionSharedObjectConfiguration.`getParticipantsFilter()`
Constructors in org.eclipse.ecf.core.sharedobject with parameters of type ISharedObjectTransactionParticipantsFilter
Modifier
Constructor
Description
``
`TransactionSharedObjectConfiguration(int timeout, ISharedObjectTransactionParticipantsFilter filter)`